Exit with non-zero error on thread test failures.

This commit is contained in:
Bruce Momjian 2004-04-26 00:44:39 +00:00
parent 144d828e7f
commit 6647ce87fe
2 changed files with 17 additions and 9 deletions

12
configure vendored
View File

@ -19164,12 +19164,14 @@ $MAKE -C $srcdir/src/tools/thread clean >&5 ||
( rm -f src/Makefile.global ( rm -f src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5 { { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
echo "$as_me: error: Can not clean thread test directory." >&2;} echo "$as_me: error: Can not clean thread test directory." >&2;}
{ (exit 1); exit 1; }; }) { (exit 1); exit 1; }; }) ||
exit $?
$MAKE -C $srcdir/src/tools/thread >&5 || $MAKE -C $srcdir/src/tools/thread >&5 ||
( rm -f src/Makefile.global ( rm -f src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not build thread test proram." >&5 { { echo "$as_me:$LINENO: error: Can not build thread test proram." >&5
echo "$as_me: error: Can not build thread test proram." >&2;} echo "$as_me: error: Can not build thread test proram." >&2;}
{ (exit 1); exit 1; }; }) { (exit 1); exit 1; }; }) ||
exit $?
$srcdir/src/tools/thread/thread_test >&5 || $srcdir/src/tools/thread/thread_test >&5 ||
( rm -f src/Makefile.global ( rm -f src/Makefile.global
echo "no" echo "no"
@ -19178,12 +19180,14 @@ $srcdir/src/tools/thread/thread_test >&5 ||
echo echo
{ { echo "$as_me:$LINENO: error: Thread test program failed. Your platform is not thread-safe." >&5 { { echo "$as_me:$LINENO: error: Thread test program failed. Your platform is not thread-safe." >&5
echo "$as_me: error: Thread test program failed. Your platform is not thread-safe." >&2;} echo "$as_me: error: Thread test program failed. Your platform is not thread-safe." >&2;}
{ (exit 1); exit 1; }; }) { (exit 1); exit 1; }; }) ||
exit $?
$MAKE -C $srcdir/src/tools/thread clean >&5 || $MAKE -C $srcdir/src/tools/thread clean >&5 ||
( rm -f src/Makefile.global ( rm -f src/Makefile.global
{ { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5 { { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
echo "$as_me: error: Can not clean thread test directory." >&2;} echo "$as_me: error: Can not clean thread test directory." >&2;}
{ (exit 1); exit 1; }; }) { (exit 1); exit 1; }; }) ||
exit $?
echo "yes" echo "yes"
else else
{ echo "$as_me:$LINENO: WARNING: { echo "$as_me:$LINENO: WARNING:

View File

@ -1,5 +1,5 @@
dnl Process this file with autoconf to produce a configure script. dnl Process this file with autoconf to produce a configure script.
dnl $PostgreSQL: pgsql/configure.in,v 1.332 2004/04/26 00:34:12 momjian Exp $ dnl $PostgreSQL: pgsql/configure.in,v 1.333 2004/04/26 00:44:39 momjian Exp $
dnl dnl
dnl Developers, please strive to achieve this order: dnl Developers, please strive to achieve this order:
dnl dnl
@ -1225,20 +1225,24 @@ AC_MSG_CHECKING([thread safety of required library functions.])
# #
$MAKE -C $srcdir/src/tools/thread clean >&5 || $MAKE -C $srcdir/src/tools/thread clean >&5 ||
( rm -f src/Makefile.global ( rm -f src/Makefile.global
AC_MSG_ERROR([Can not clean thread test directory.])) AC_MSG_ERROR([Can not clean thread test directory.])) ||
exit $?
$MAKE -C $srcdir/src/tools/thread >&5 || $MAKE -C $srcdir/src/tools/thread >&5 ||
( rm -f src/Makefile.global ( rm -f src/Makefile.global
AC_MSG_ERROR([Can not build thread test proram.])) AC_MSG_ERROR([Can not build thread test proram.])) ||
exit $?
$srcdir/src/tools/thread/thread_test >&5 || $srcdir/src/tools/thread/thread_test >&5 ||
( rm -f src/Makefile.global ( rm -f src/Makefile.global
echo "no" echo "no"
echo echo
$srcdir/src/tools/thread/thread_test $srcdir/src/tools/thread/thread_test
echo echo
AC_MSG_ERROR([Thread test program failed. Your platform is not thread-safe.])) AC_MSG_ERROR([Thread test program failed. Your platform is not thread-safe.])) ||
exit $?
$MAKE -C $srcdir/src/tools/thread clean >&5 || $MAKE -C $srcdir/src/tools/thread clean >&5 ||
( rm -f src/Makefile.global ( rm -f src/Makefile.global
AC_MSG_ERROR([Can not clean thread test directory.])) AC_MSG_ERROR([Can not clean thread test directory.])) ||
exit $?
echo "yes" echo "yes"
else else
AC_MSG_WARN([ AC_MSG_WARN([